PDA

View Full Version : server is using a different protocol version


Suncatcher
03-25-2014, 04:02 PM
I talked my sister into getting this game, and when we tried to start up a local multiplayer session, whoever tried to join always got an error message saying the server was using a different protocol version. I believe we're both on the latest version, with '1.036' appearing at the bottom of the main menu.

In the past I've played locally with other friends with no problems. It doesn't seem to matter who hosts the game. I bought the game through Steam (it claims to be fully updated and all the files verify) and have the DLC (as did the friends who I played with previously). My sister bought the game directly through this site, and just installed the latest patch, but does not have the DLC.

As a test I tried to connect to an online multiplayer server, but did not find any. I'm not sure, based on what I've seen in this forum, whether that means that my protocol version is off in some way or whether there just wasn't anybody hosting a game at the time.

Is there a way to check the protocol version directly? What should the latest one be? If it is off, what can be done to fix it?

Kyliad
04-06-2014, 07:06 PM
Having Same issue, 3 of us can connect to server but the 4th (only one with the DLC expansion) can not join us.
Is there a way to turn off the DLC?

10th
04-12-2014, 12:21 PM
Try renaming expansionPresent.txt to something different.

PixelLord
04-12-2014, 03:55 PM
All players must have not only the same version, but the DLC (or not) as well.

As 10th said, the player with the expansion version could rename GameData/Expansions/Exp1/Assets/expansionPresent.txt to some other name (which will make the game believe there is no DLC present since the game looks for that file to determine whether to load the expansion stuff). You'll then be playing without the expansion of course.